/*
   this code is for controlling a single color of the RGB LED strip using the PICO PWM pin.
   9/8/2018
*/

#define blue 3                                                     //use pin no. 3 to control the blue LED brightness.
#define button 2

int buttonReading;

void setup() {
  pinMode(blue, OUTPUT);                                           //set pin no. 3 as an output pin
  pinMode(button, INPUT);                                          //set pin no. 2 as an input pin
  Serial.begin(9600);
}

void loop() {
  buttonReading = digitalRead(button);

  if (buttonReading == HIGH) {
    Serial.print("blue color is ON");
    for (int i = 0 ; i <= 255 ; i++) {
      analogWrite(blue, i);                                           //pin no. 3 will write the 'i' value at every iteration.
      delay(15);
    }
    for (int i = 255 ; i >= 0 ; i--) {
      analogWrite(blue, i);                                           //pin no. 3 will write the 'i' value at every iteration.
      delay(15);
    }

  }
  else {
    Serial.print("blue color is OFF");
    digitalWrite(blue, LOW);                                           //pin no. 3 will write the 'i' value at every iteration.
  }
  delay(1);
}
